commit:     e42ec0269d99f7aeede294519fa656f84e25e4eb
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Wed Oct 27 00:22:25 2021 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Oct 27 00:22:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e42ec026

dev-vcs/lazygit: 0.30.1 version bump

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 dev-vcs/lazygit/Manifest              |  1 +
 dev-vcs/lazygit/lazygit-0.30.1.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-vcs/lazygit/Manifest b/dev-vcs/lazygit/Manifest
index f26ae888a..f323f6143 100644
--- a/dev-vcs/lazygit/Manifest
+++ b/dev-vcs/lazygit/Manifest
@@ -1,2 +1,3 @@
 DIST lazygit-0.29.tar.gz 3385768 BLAKE2B 
4968a45572d85a3af84fc8f459dbab1cfd3a70954c650f16ddd8e937a810b590c974642e94b26614f4b24166b6c4db2fc8dd2538052875d827fdecc8bf8acb18
 SHA512 
f24d63a01bc64e2704805a20437af7ad0304921c2b4084f64014f9a8d9d9711ef02f4cdcf09ee9955ea5f2ef4f94de58c9ecc55fa7cb05fc59a89c7d8c9237d7
 DIST lazygit-0.30.tar.gz 3521302 BLAKE2B 
4d8bbf02aec124b89e2f05b8fd357aeb9ff75139b753d958ed61f4bd5298563c11736c1cf2dff70c55ff5eb86829a0283bee0ef56ba1327ff48a66e5234efb3c
 SHA512 
16bd4b8fce43354aec9bc4da69e08843346527897fba85aff966a992f4d75b12d731aed9095b9f7d24a7def7f5b017a6dbaa63c44456f06d8dd5fe9760672663
+DIST lazygit-0.30.1.tar.gz 3520967 BLAKE2B 
442bec8a7ffc7246895966e57aebb0631f774cffacba451e63d0964b72eba307a520a56413c06f2debef61466379b0e94608df6194f9631bbfda0354026dab4d
 SHA512 
428f49511de3c4fb00aaf28c0c095464ee367d64557e355b86c4ab995dd9285fc411f5f981e06a08d8a6cf30c04f9ee305bdc34bdbec46fe048b463d12eee8ab

diff --git a/dev-vcs/lazygit/lazygit-0.30.1.ebuild 
b/dev-vcs/lazygit/lazygit-0.30.1.ebuild
new file mode 100644
index 000000000..233a104b0
--- /dev/null
+++ b/dev-vcs/lazygit/lazygit-0.30.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_PN="github.com/jesseduffield/lazygit"
+
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="Lazygit, a simple terminal UI for git commands"
+HOMEPAGE="https://github.com/jesseduffield/lazygit";
+SRC_URI="https://github.com/jesseduffield/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+DEPEND=( sys-libs/glibc )
+RDEPEND=(
+       ${DEPEND}
+       dev-vcs/git
+)
+
+DOCS=( src/${EGO_PN}/{CONTRIBUTING,README}.md )
+
+src_compile() {
+       GOPATH="${S}" go build -v -o bin/lazygit src/${EGO_PN}/main.go || die
+}
+
+src_install() {
+       dobin bin/lazygit
+
+       use doc && dodoc -r "src/${EGO_PN}/docs/."
+       einstalldocs
+}

Reply via email to